Open CASCADE Technology: BRepAlgo_Fuse Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepAlgo_Fuse Class Reference

Describes functions for performing a topological fusion operation (Boolean union). A Fuse object provides the framework for: More...

`#include <BRepAlgo_Fuse.hxx>`

Inheritance diagram for BRepAlgo_Fuse:
[legend]

## Public Member Functions
| BRepAlgo_Fuse (const TopoDS_Shape &S1, const TopoDS_Shape &S2)
| Fuse S1 and S2. More...
Public Member Functions inherited from BRepAlgo_BooleanOperation
virtual void | Delete ()
virtual | ~BRepAlgo_BooleanOperation ()
void | PerformDS ()
void | Perform (const TopAbs_State St1, const TopAbs_State St2)
Handle< TopOpeBRepBuild_HBuilder > | Builder () const
const TopoDS_Shape & | Shape1 () const
| Returns the first shape involved in this Boolean operation. More...
const TopoDS_Shape & | Shape2 () const
| Returns the second shape involved in this Boolean operation. More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S)
| Returns the list of shapes modified from the shape <S>. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S)
| Returns true if the shape S has been deleted. More...
Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual | ~BRepBuilderAPI_MakeShape ()
virtual void | Build ()
| This is called by Shape(). It does nothing but may be redefined. More...
virtual const TopoDS_Shape & | Shape () const
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
| operator TopoDS_Shape () const
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S)
| Returns the list of shapes generated from the shape <S>. More...
Public Member Functions inherited from BRepBuilderAPI_Command
virtual | ~BRepBuilderAPI_Command ()
virtual Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Additional Inherited Members
Protected Member Functions inherited from BRepAlgo_BooleanOperation
| BRepAlgo_BooleanOperation (const TopoDS_Shape &S1, const TopoDS_Shape &S2)
| Prepares the operations for S1 and S2. More...
void | BuilderCanWork (const Standard_Boolean B)
Standard_Boolean | BuilderCanWork () const
virtual void | InitParameters ()
Protected Member Functions inherited from BRepBuilderAPI_MakeShape
| BRepBuilderAPI_MakeShape ()
Protected Member Functions inherited from BRepBuilderAPI_Command
| BRepBuilderAPI_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...
Protected Attributes inherited from BRepAlgo_BooleanOperation
Handle< TopOpeBRepBuild_HBuilder > | myHBuilder
TopoDS_Shape | myS1
TopoDS_Shape | myS2
Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenerated

## Detailed Description

Describes functions for performing a topological fusion operation (Boolean union). A Fuse object provides the framework for:

- defining the construction of a fused shape,
- implementing the construction algorithm, and
- consulting the result.

## Constructor & Destructor Documentation

BRepAlgo_Fuse::BRepAlgo_Fuse | ( | const TopoDS_Shape & | S1,
|  | const TopoDS_Shape & | S2
| ) |  |

Fuse S1 and S2.

The documentation for this class was generated from the following file:

- BRepAlgo_Fuse.hxx